Package com.saxonica.config

## Class DotNetLocalizerFactory

- java.lang.Object
- - net.sf.saxon.lib.LocalizerFactory
  - - com.saxonica.config.DotNetLocalizerFactory

-     public class DotNetLocalizerFactory
      extends LocalizerFactory

  Default factory for number/date localizers for the .NET platform. This has built-in knowledge of the available localizations, it does not attempt dynamic loading. Note that these are available only in Saxon-PE and Saxon-EE.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DotNetLocalizerFactory​(Configuration config)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DotNetLocalizerFactory` | `copy()` | Copy the state of this factory to create a new LocalizerFactory
    `Numberer` | `getNumberer​(java.lang.String language, java.lang.String country)` | Get the numberer for a given language
    `void` | `setLanguageProperties​(java.lang.String lang, java.util.Properties properties)` | Set properties for a particular language.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DotNetLocalizerFactory

          public DotNetLocalizerFactory​(Configuration config)

  - ### Method Detail

    - #### setLanguageProperties

          public void setLanguageProperties​(java.lang.String lang,
                                            java.util.Properties properties)

      Set properties for a particular language. The properties available are specific to the LocalizerFactory in use. Default implementation does nothing.
      Overrides:
        `setLanguageProperties` in class `LocalizerFactory`
      Parameters:
        `lang` - the language
        `properties` - properties of this language
      Since:
        9.2

    - #### getNumberer

          public Numberer getNumberer​(java.lang.String language,
                                      java.lang.String country)

      Get the numberer for a given language
      Specified by:
        `getNumberer` in class `LocalizerFactory`
      Parameters:
        `language` - the language code (for example "de" or "en-GB")
        `country` - the country, as used in format-date(). This is not the country associated with the language, but the one associated with the date to be formatted. It is primarily used to determine a civil time zone name.
      Returns:
        the appropriate numberer, or null if none is available (in which case the English numberer will be used)

    - #### copy

          public DotNetLocalizerFactory copy()

      Copy the state of this factory to create a new LocalizerFactory
      Overrides:
        `copy` in class `LocalizerFactory`
      Returns:
        a copy of this LocalizerFactory